Bug 1661290 - The checksum type configuration of yum distributor should always fallback to the scratchped if it is not explicitly set to use a particular checksum type by the user.
Summary: The checksum type configuration of yum distributor should always fallback to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.4.2
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-20 17:39 UTC by Mike McCune
Modified: 2019-10-30 19:28 UTC (History)
6 users (show)

Fixed In Version: pulp-rpm-2.16.4.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1586336
Environment:
Last Closed: 2019-02-13 19:08:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0345 None None None 2019-02-13 19:08:25 UTC
Pulp Redmine 3736 Normal CLOSED - CURRENTRELEASE When the checksum type of the upstream repository changed, syncing a "on_demand" repository will fail 2019-01-10 17:31:37 UTC

Comment 1 pulp-infra@redhat.com 2019-01-10 17:31:38 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 2 pulp-infra@redhat.com 2019-01-10 17:31:39 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 3 jcallaha 2019-01-21 18:36:58 UTC
Verified in Satellite 6.4.2 Snap 1.


-bash-4.2# createrepo -s sha1 .
Warning: It is more compatible to use sha instead of sha1
Spawning worker 0 with 428 pkgs
Spawning worker 1 with 427 pkgs
Spawning worker 2 with 427 pkgs
Spawning worker 3 with 427 pkgs
Spawning worker 4 with 427 pkgs
Spawning worker 5 with 427 pkgs
Spawning worker 6 with 427 pkgs
Spawning worker 7 with 427 pkgs
Spawning worker 8 with 427 pkgs
Spawning worker 9 with 427 pkgs
Spawning worker 10 with 427 pkgs
Spawning worker 11 with 427 pkgs
Workers Finished
Saving Primary metadata
Saving file lists metadata
Saving other metadata
Generating sqlite DBs
Sqlite DBs complete

-bash-4.2# podman run -d -p 1337:80 -v $(pwd):/usr/local/apache2/htdocs/:Z httpd
cannot listen on the TCP port: listen tcp4 :1337: bind: address already in use
 
*** create repository and sync it ***
*** package counts: 4045 rpms, 961 source rpms ***

-bash-4.2# createrepo -s sha256 .
Spawning worker 0 with 428 pkgs
Spawning worker 1 with 427 pkgs
Spawning worker 2 with 427 pkgs
Spawning worker 3 with 427 pkgs
Spawning worker 4 with 427 pkgs
Spawning worker 5 with 427 pkgs
Spawning worker 6 with 427 pkgs
Spawning worker 7 with 427 pkgs
Spawning worker 8 with 427 pkgs
Spawning worker 9 with 427 pkgs
Spawning worker 10 with 427 pkgs
Spawning worker 11 with 427 pkgs
Workers Finished
Saving Primary metadata
Saving file lists metadata
Saving other metadata
Generating sqlite DBs
Sqlite DBs complete

*** sync repository again (advanced - complete sync ***
*** package counts: 4045 rpms, 961 source rpms ***

Comment 5 errata-xmlrpc 2019-02-13 19:08:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0345


Note You need to log in before you can comment on or make changes to this bug.